Disease = {}

--- Disease class
---@param side name string? the name of the disease (string)
---@param side symbtoms_by_stages list? a list of list of symbtom, a list of symbtoms by stage (Symbtom)
---@param side contamination_methods list? a list of contamination method (string)
---@param side transmission_zone_stages list? a list of transmissions zone (int), one number by stage
---@param side stages_duration list? a list of stage duration (int), one number by stage
function Disease:new(name, symbtoms_by_stages, contamination_methods, transmission_zone_stages, stages_duration)
    local instance = {}
    setmetatable(instance, {__index = Disease})
    instance.name = name
    instance.symbtoms_by_stages = symbtoms_by_stages
    instance.contamination_methods = contamination_methods
    instance.transmission_zone_stages = transmission_zone_stages
    instance.stages_duration = stages_duration
    return instance
end

return Disease